%global git 87fc23433d
%global uuid pidgin-conversation-integration@kagesenshi.org

Name:		gnome-shell-extension-pidgin
Version:	0
Release:	0.7.git%{git}%{?dist}
Summary:	The components necessary to integrate Pidgin with GNOME Shell
Group:		User Interface/Desktops
License:	GPLv2+
URL:		https://github.com/kagesenshi/gnome-shell-extensions-pidgin
# git clone https://github.com/kagesenshi/gnome-shell-extensions-pidgin.git
# mv gnome-shell-extensions-pidgin gnome-shell-extension-pidgin
# tar cfj gnome-shell-extension-pidgin-git80d4ea4b59.tar.bz2 gnome-shell-extension-pidgin
Source0:	%{name}-git%{git}.tar.bz2
Source1:	http://download.sourceforge.net/project/gnomeshpidgin/gnomeShellPidgin.c
Source2:	Makefile.gnomeShellPidgin
# Had to clarify licensing on Mohd Izhar Firdaus Bin Ismail's gnome-shell-extensions-pidgin
# It is also GPLv2+
Source3:	gnome-shell-extensions-pidgin-License.txt
Source4:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0:		gnomeShellPidgin-cleanup.patch
Patch1:		gnome-shell-extension-pidgin-gnome-shell-34.patch
BuildRequires:	libpurple-devel, dbus-devel, zlib-devel
Requires:	gnome-shell >= 3.0.1
Requires:	pidgin

%description
This package contains the necessary components to integrate pidgin with 
GNOME Shell:
* Izhar Firdaus's GNOME Shell Extension to display Pidgin chats as 
  notifications in the Shell message tray.
* Wojtek Surówka's Pidgin status notifier plugin

In order to activate these components, you will need to:
* Be running Pidgin (the extension uses Pidgin's DBUS API)
* Restart GNOME Shell after installation
* Enable the "GNOME Shell Connector" plugin within Pidgin

%prep
%setup -q -n %{name}
cp %{SOURCE1} .
cp %{SOURCE2} Makefile
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch0 -p0 -b .cleanup
%patch1 -p1 -b .gnome34

%build
make CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install

mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {extension.js,metadata.json} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

%files
%doc gpl-2.0.txt gnome-shell-extensions-pidgin-License.txt
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_libdir}/purple-2/libgnomeshell.so

%changelog
* Thu Apr  5 2012 Tom Callaway <spot@fedoraproject.org> - 0-0.7.git87fc23433d
- sync with git
- tell extension it is okay for gnome-shell 3.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git80d4ea4b59
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct  7 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.5.git80d4ea4b59
- update to the latest code with more proper 3.2 fixes

* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.4.git4ca78b1
- fix metadata version to be 3.2

* Fri Sep 23 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.3.git4ca78b1
- gnome 3.2 fix

* Wed Jun 15 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.2.git4ca78b1
- add gpl-2.0.txt and license explanation as docs

* Mon Jun 06 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.1.git4ca78b1
- Initial package for Fedora
